#if !defined(AFX_FORMEXFORMVIEW_H__79F5D44F_0697_4375_87D4_005824C88847__INCLUDED_)
#define AFX_FORMEXFORMVIEW_H__79F5D44F_0697_4375_87D4_005824C88847__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FormExFormView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CFormExFormView form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

class CFormExFormView : public CScrollView
{
protected:
public:
	CFormExFormView();           // protected constructor used by dynamic creation
protected:
	DECLARE_DYNCREATE(CFormExFormView)

// Form Data
public:
	//{{AFX_DATA(CFormExFormView)
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

// Attributes
public:
	CView* m_view;
	CFrameWnd* m_frame;
	CFrameWnd* m_parentframe;
	CDocument* m_doc;
	CDocument* m_docAtt;
	CTabCtrl* m_tabctrl;
	CWnd* m_ctrlbar;
	bool m_bAttached;
	bool m_bToAttrib;

// Operations
public:

// Overrides
	//{{AFX_VIRTUAL(CFormExFormView)
	public:
	virtual BOOL OnChildNotify(UINT message, WPARAM wParam, LPARAM lParam, LRESULT* pLResult);
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	void OnActivateView(BOOL bActivate, CView* pActivateView, CView* pDeactiveView);
	virtual void OnDraw(CDC* pDC) {};
	//}}AFX_VIRTUAL

// Implementation
protected:
public:
	virtual ~CFormExFormView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	//{{AFX_MSG(CFormExFormView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

class CBaseWnd : public CWnd
{
// Form Data
public:
	CBaseWnd();

	//{{AFX_DATA(CBaseWnd)
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

// Attributes
public:
	CView* m_view;
	CFrameWnd* m_frame;
	CFrameWnd* m_parentframe;
	CDocument* m_doc;
	CDocument* m_docAtt;
	CTabCtrl* m_tabctrl;
	CWnd* m_ctrlbar;
	bool m_bAttached;
	bool m_bToAttrib;

// Overrides
	//{{AFX_VIRTUAL(CBaseWnd)
	public:
	virtual BOOL OnChildNotify(UINT message, WPARAM wParam, LPARAM lParam, LRESULT* pLResult);
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	//}}AFX_VIRTUAL

	//{{AFX_MSG(CBaseWnd)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

class CFormExDockView : public CScrollView
{
protected:
	CFormExDockView();           // protected constructor used by dynamic creation

	DECLARE_DYNCREATE(CFormExDockView)

// Overrides
	//{{AFX_VIRTUAL(CFormExDockView)
	public:
	virtual void OnDraw(CDC* pDC) {};
	//}}AFX_VIRTUAL

	DECLARE_MESSAGE_MAP()
};

class CFormExDockDoc : public CDocument
{
protected:
	CFormExDockDoc();           // protected constructor used by dynamic creation

	DECLARE_DYNCREATE(CFormExDockDoc)

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FORMEXFORMVIEW_H__79F5D44F_0697_4375_87D4_005824C88847__INCLUDED_)
